These are chat archives for elemental/chat

30th
Jul 2016
Ryan H. Lewis
@rhl-
Jul 30 2016 02:52
jack, ping ?
can you look into why the following standard cmake option isn't working properly? -DCMAKE_EXECUTABLE_SUFFIX=_openmpi
when you build the tests and examples /
Ryan H. Lewis
@rhl-
Jul 30 2016 03:06
@poulson also I was able to install the updated scalapack, looks like i'm still having an issue, it might be because they linked against the wrong lapack, but, im wondering if this is actually something that elemental should be more careful about: https://paste.fedoraproject.org/397502/47961146/
Jack Poulson
@poulson
Jul 30 2016 19:16
what do you mean by the wrong LAPACK?
what isn't correct about the CMAKE_EXECUTABLE_SUFFIX?
I'm not purposefully passing it down to the external projects (e.g., OpenBLAS)
Ryan H. Lewis
@rhl-
Jul 30 2016 20:02
@poulson its not working for me on the examples and test output
until I fix that I can't get it working..
in terms of the LAPACK I am seeing another DSO issue for scalapack, I sent you a pastebin. I thing fedora links scalapack against liblapack and there is still a further DSO issue, I am not sure what the correct resolution is, but it may be that either scalapack or elemental is not handling the extra dependency correctly
im not sure which one.
for now i'm leaving the scalapack thing off as I just want the damn rpm :)
Jack Poulson
@poulson
Jul 30 2016 22:09
so are you thinking the issue is with Fedora's ScaLAPACK RPM, netlib's ScaLAPACK, or Elemental's/scibuilder's ScaLAPACK fork?
Ryan H. Lewis
@rhl-
Jul 30 2016 22:34
either scalapack or elemental
Ryan H. Lewis
@rhl-
Jul 30 2016 22:45
erm rpm or cmake